# Uses of Class
org.eclipse.net4j.util.ui.chat.ChatMessage.Author

Packages that use ChatMessage.Author
Package
Description
org.eclipse.net4j.util.ui.chat

## Uses of ChatMessage.Author in org.eclipse.net4j.util.ui.chat

Methods in org.eclipse.net4j.util.ui.chat that return ChatMessage.Author
Modifier and Type
Method
Description
`ChatMessage.Author`
ChatMessage.Author.Builder.`build()`
`ChatMessage.Author`
ChatMessage.Author.Cache.`getAuthor(String userID)`
`ChatMessage.Author`
ChatMessage.`getAuthor()`
`ChatMessage.Author`
ChatRenderer.BubbleGroup.`getAuthor()`
Methods in org.eclipse.net4j.util.ui.chat that return types with arguments of type ChatMessage.Author
Modifier and Type
Method
Description
`Map<String,ChatMessage.Author>`
ChatMessage.Author.Cache.`getAuthors(Iterable<String> userIDs)`
Methods in org.eclipse.net4j.util.ui.chat with parameters of type ChatMessage.Author
Modifier and Type
Method
Description
`int`
ChatMessage.Author.`compareTo(ChatMessage.Author o)`
`void`
ChatRenderer.AvatarGenerator.Default.`generateAvatar(ChatMessage.Author author, StringBuilder html, Map<String,Object> properties)`
`void`
ChatRenderer.AvatarGenerator.`generateAvatar(ChatMessage.Author author, StringBuilder html, Map<String,Object> properties)`
`URI`
ChatRenderer.`getAvatar(ChatMessage.Author author, Map<String,Object> properties)`
`void`
ChatRenderer.`renderHTML(ChatMessage.Author author, StringBuilder html, Map<String,Object> properties)`
Method parameters in org.eclipse.net4j.util.ui.chat with type arguments of type ChatMessage.Author
Modifier and Type
Method
Description
`static ChatMessage.Author.Cache`
ChatMessage.Author.Cache.`of(Object object, Function<Iterable<String>,Map<String,ChatMessage.Author>> authorsLoader)`
`static ChatMessage.Author.Cache`
ChatMessage.Author.Cache.`of(Object object, Supplier<Function<Iterable<String>,Map<String,ChatMessage.Author>>> authorsLoaderSupplier)`
Constructor parameters in org.eclipse.net4j.util.ui.chat with type arguments of type ChatMessage.Author
Modifier
Constructor
Description
``
`Cache(Function<Iterable<String>,Map<String,ChatMessage.Author>> authorsLoader)`